class CollectionStyle {
  CollectionStyle._();

  /// Getter for all css style pre-define
  static String get all {
    return '''
      <style>
          body,
          p {
              margin: 0px;
              padding: 0px;
              font-family: helvetica; 
          }
          
          body {
              background: #eee;
              width: 100%;
              font-size: 1.8em
          }
          
          .receipt {
              max-width: 100%;
              margin: auto;
              background: white;
          }
          
          .container {
              padding-bottom: 70px;
          }
          
          hr {
              border-top: 2px dashed black;
          }
          
          .text-center {
              text-align: center;
          }
          
          .text-left {
              text-align: left;
          }
          
          .text-right {
              text-align: right;
          }
          
          .text-justify {
              text-align: justify;
          }
          
          .right {
              float: right;
          }
          
          .left {
              float: left;
          }
          
          span {
              color: black;
              font-family: helvetica;
          }
          
          .full-width {
              width: 100%;
          }
          
          .inline-block {
              display: inline-block;
          }
          
          .text-extra-large {
             font-size: 2.2em;
          }
          
          .text-large {
              font-size: 1.6em;
          }
          
          .text-medium {
              font-size: 0.9em;
          }
          
          .text-small {
              font-size: 0.8em;
          }
          .column {
              float: left;
              width: 100%;
          }
          .column-2 {
              float: left;
              width: 40%;
          }
          .column-3 {
              float: left;
              width:33.33%;
          }
          .row:after {
              content: "";
              display: table;
              clear: both;
              margin-bottom: 70px;
          }
          .column-2margin{
              margin-left: 20%;
          }
          .row-last:after {
              content: "";
              display: table;
              clear: both;
          }
      </style>
    ''';
  }

  /// To separate style from all css, just create getter the value of style name
  static String get textCenter => 'text-center';
  static String get textLeft => 'text-left';
  static String get textRight => 'text-right';
  static String get row => 'row';
  static String get columnOne => 'column';
  static String get columnTwo => 'column-2';
  static String get columnThree => 'column-3';
  static String get columnTwoMargin=> 'column-2margin';
  static String get rowLast => 'row-last';
}
